Bug 253050 - RFE: upgrade to graphviz-2.14.1 release
RFE: upgrade to graphviz-2.14.1 release
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: graphviz (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jima
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-16 15:08 EDT by John Ellson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.14.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 11:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to lib/common/Makefile.am to add arith.h to the -devel rpm (1.12 KB, patch)
2007-09-04 19:51 EDT, John Ellson
no flags Details | Diff

  None (edit)
Description John Ellson 2007-08-16 15:08:36 EDT
Description of problem:
A new release of graphviz is now available upstream from
http://www.graphviz.org/pub/graphviz/ARCHIVE/graphviz-2.14.1.tar.gz

The tar contains a single .spec file that supports binary rpm building on/for:
 - fc[45678]
 - el[345]
 - rhl[789]


This release contains mostly bugfixes since 2.12 - please see ChangeLog for details.

The system installed libgd is now used on FC7 and later.
The internal version gd sources used for other distros has been updated to
include all fixes (including security fixes) from gd-2.0.35.

Doxygen works with the new release in my testing.

Anjuta will require a rebuild due to an API version change.  probably no code
changes required.

The R authors are aware of graphviz changes.  I'm not sure if they will need a
new release to track 2.14.1 but I understand they are ready.

ImageMagic has hooks to use graphviz libraries for rendering .dot files. I'm not
sure if this feature is enabled on Fedora but no problems are expected.



Version-Release number of selected component (if applicable):
graphviz-2.14.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jima 2007-08-17 15:41:35 EDT
(cc'ing Paul Johnson, the Anjuta maintainer)

Only a minor issue with me going back to your spec. :-)
You need to BR perl-devel for Fedora 7+.  One-line hack, boo hoo:

 %if "%fedora" >= "7"
-BuildRequires: gd gd-devel
+BuildRequires: gd gd-devel perl-devel

I've added that, but you'll probably want to do that upstream from here on. 
(This will probably be true for EL6 whenever it comes out, too.)

Just making sure there are no unintended changes from 2.12, are these files
supposed to have disappeared from graphviz-devel?

/usr/include/graphviz/aghdr.h
/usr/include/graphviz/agxbuf.h
/usr/include/graphviz/arith.h
/usr/include/graphviz/ast_common.h
/usr/include/graphviz/dthdr.h
/usr/include/graphviz/exgram.h
/usr/include/graphviz/exlib.h
/usr/include/graphviz/expr.h
/usr/include/graphviz/globals.h
/usr/include/graphviz/grammar.h
/usr/include/graphviz/gvcint.h
/usr/include/graphviz/libgraph.h
/usr/include/graphviz/logic.h
/usr/include/graphviz/malloc.h
/usr/include/graphviz/parser.h
/usr/include/graphviz/pathplan.h
/usr/include/graphviz/pathutil.h
/usr/include/graphviz/solvers.h
/usr/include/graphviz/tri.h
/usr/include/graphviz/triefa.h
/usr/include/graphviz/vis.h
/usr/include/graphviz/vispath.h
/usr/include/graphviz/vmstub.h

I see you also changed the locations of the language binding man pages; that
seems like a good place for them.

Assuming those files were supposed to go away, and plus the perl-devel BR, this
looks like a fairly seamless upgrade.

Thanks!
Comment 2 John Ellson 2007-08-22 23:20:02 EDT
I've fixed upstream the BR for perl-devel, and added block for "%rhel" >= 6

The headers are OK for graphviz-2.14.1, but:
      - pathplan.h should be added for other users of libpathplan.so
        Fixed upstream.

Also libexpr is not much use without libast and libvmalloc which
        we don't currently install.  Fixed upstream by internally linking
        libexpr, and removing documentation and pkgconfig for libexpr
        from distro.

Thanks for your feedback.




Comment 3 Jima 2007-08-23 12:09:43 EDT
If those changes are okay, I'll push this for rawhide (and ergo Fedora 8).

Paul, heads up for Anjuta -- you've been warned. :-)

Thanks John!
Comment 4 Jima 2007-08-28 17:15:31 EDT
The updated package is in the Rawhide repository, so I think we can close this
bug.  Thanks again, John.

Paul seems to be idle, which is a little worrying.  Alas, Release Engineering is
doing an automated rebuild of Anjuta due to a ppc32 selinux problem, so that
should fix the dependency tree and stop all the nagmails I'm getting about
breaking Anjuta. :-)
Comment 5 Jima 2007-09-04 13:10:51 EDT
*sigh*

It seems that one of the changes did, in fact, break Anjuta.

https://koji.fedoraproject.org/koji/getfile?taskID=138023&name=build.log

Looks like arith.h is needed, or at least, there's a lingering #include (from
geom.h) pointing at it.  As I see it, I can either remove that #include from
geom.h, or return arith.h to the package.  As Anjuta is broken in rawhide/F8t2
until I do this, I need to move fairly quickly.  What's your take?
Comment 6 John Ellson 2007-09-04 19:37:07 EDT
Put arith.h back in.

I'll fix this upstream as well.
Comment 7 John Ellson 2007-09-04 19:51:09 EDT
Created attachment 186741 [details]
patch to lib/common/Makefile.am to add arith.h to the -devel rpm
Comment 8 Jima 2007-09-11 11:18:42 EDT
The patch fixed Anjuta, thanks!

Note You need to log in before you can comment on or make changes to this bug.